Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.nds.dirxml.shimhost
Class NameMap.ClassMap

    java.lang.Object
      com.novell.nds.dirxml.shimhost.NameMap.ClassMap

Enclosing class:
  NameMap

    public static class NameMap.ClassMap

extends Object

"Read-only" class for examining the class mappings for a `NameMap` instance.

Method Summary
`String` | `getAppName()` Return the "application" name.
`NameMap.AttrMap` | `getAttrByAppName(String appName)` Get the mapping for an attribute by the attributes application name.
`NameMap.AttrMap` | `getAttrByNdsName(String ndsName)` Get the mapping for an attribute by the attribute's NDS name.
`String` | `getNdsName()` Return the "nds" name (i.e., the name to which the application name is mapped).
`Iterator` | `iterator()` Return an `Iterator` that will return the `AttrMap` instances associated with this `ClassMap`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### iterator

    public Iterator iterator()

  Return an `Iterator` that will return the `AttrMap` instances associated with this `ClassMap`.

  Returns:
    `Iterator` whose `next()` method returns `AttrMap` instances.

### getAttrByNdsName

    public NameMap.AttrMap getAttrByNdsName(String ndsName)

  Get the mapping for an attribute by the attribute's NDS name.

  Parameters:
    `ndsName` - name of attribute in "nds" space
  Returns:
    `AttrMap` instance, or `null` if no mapping exists

### getAttrByAppName

    public NameMap.AttrMap getAttrByAppName(String appName)

  Get the mapping for an attribute by the attributes application name.

  Parameters:
    `appName` - name of attribute in application space
  Returns:
    `AttrMap` instance, or `null` if no mapping exists

### getNdsName

    public String getNdsName()

  Return the "nds" name (i.e., the name to which the application name is mapped).

  Returns:
    name

### getAppName

    public String getAppName()

  Return the "application" name.

  Returns:
    name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD